com.independentsoft.exchange

## Enum UserSettingName

- java.lang.Object
- - java.lang.Enum<UserSettingName>
  - - com.independentsoft.exchange.UserSettingName

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UserSettingName>

      public enum UserSettingName
      extends java.lang.Enum<UserSettingName>

  Identifies the user settings to be returned in an Autodiscovery. These settings are the settings that can be requested using the GetUserSettings method. Identifies the user settings.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE_DIRECTORY_SERVER` The name of the Active Directory server.
    `ALTERNATE_MAILBOXES` A list of alternate mailboxes.
    `AUTO_DISCOVER_SMTP_ADDRESS`
    `CAS_VERSION` The version of the Client Access server that is serving the request (for example, 14.XX.YYY.ZZZ).
    `CERT_PRINCIPAL_NAME`
    `CROSS_ORGANIZATION_SHARING_ENABLED` Indicates that cross-organization sharing is enabled for the user.
    `DOCUMENT_SHARING_LOCATIONS`
    `ECP_CONNECT_URL_FRAGMENT`
    `ECP_DELIVERY_REPORT_URL_FRAGMENT` The URL fragment of the Exchange Control Panel (ECP) for delivery reports.
    `ECP_EMAIL_SUBSCRIPTIONS_URL_FRAGMENT` The URL fragment of the ECP for e-mail subscriptions.
    `ECP_EXTENSION_INSTALLATION_URL_FRAGMENT`
    `ECP_PHOTO_URL_FRAGMENT`
    `ECP_PUBLISHING_URL_FRAGMENT`
    `ECP_RETENTION_POLICY_TAGS_URL_FRAGMENT`
    `ECP_TEAM_MAILBOX_CREATING_URL_FRAGMENT`
    `ECP_TEAM_MAILBOX_EDITING_URL_FRAGMENT`
    `ECP_TEAM_MAILBOX_URL_FRAGMENT`
    `ECP_TEXT_MESSAGING_URL_FRAGMENT` The URL fragment of the ECP for text messaging.
    `ECP_VOICEMAIL_URL_FRAGMENT` The URL fragment of the ECP for voice mail customization.
    `EWS_PARTNER_URL`
    `EWS_SUPPORTED_SCHEMAS` A comma-separated list of schema versions that are supported by EWS.
    `EXCHANGE_RPC_URL`
    `EXTERNAL_ECP_CONNECT_URL`
    `EXTERNAL_ECP_DELIVERY_REPORT_URL` The external URL of the ECP for delivery Reports.
    `EXTERNAL_ECP_EMAIL_SUBSCRIPTIONS_URL` The external URL of the ECP for e-mail subscriptions.
    `EXTERNAL_ECP_EXTENSION_INSTALLATION_URL`
    `EXTERNAL_ECP_PHOTO_URL`
    `EXTERNAL_ECP_PUBLISHING_URL`
    `EXTERNAL_ECP_RETENTION_POLICY_TAGS_URL`
    `EXTERNAL_ECP_TEAM_MAILBOX_CREATING_URL`
    `EXTERNAL_ECP_TEAM_MAILBOX_EDITING_URL`
    `EXTERNAL_ECP_TEAM_MAILBOX_HIDING_URL`
    `EXTERNAL_ECP_TEAM_MAILBOX_URL`
    `EXTERNAL_ECP_TEXT_MESSAGING_URL` The external URL of the ECP for text messaging.
    `EXTERNAL_ECP_URL` The external URL of the ECP.
    `EXTERNAL_ECP_VOICEMAIL_URL` The external URL of the ECP for voice mail customization.
    `EXTERNAL_EMWS_URL`
    `EXTERNAL_EWS_URL` The external URL of EWS.
    `EXTERNAL_EWS_VERSION`
    `EXTERNAL_IMAP4_CONNECTIONS` The external connection settings list for the IMAP4 protocol.
    `EXTERNAL_MAILBOX_SERVER` The name of the RPC over HTTP server.
    `EXTERNAL_MAILBOX_SERVER_AUTHENTICATION_METHODS` The authentication methods that are supported by the RPC over HTTP server.
    `EXTERNAL_MAILBOX_SERVER_REQUIRES_SSL` Indicates whether the RPC over HTTP server requires SSL.
    `EXTERNAL_OABURL` The external URL of the OAB.
    `EXTERNAL_PHOTOS_URL`
    `EXTERNAL_POP3_CONNECTIONS` The external connection settings list for the POP3 protocol.
    `EXTERNAL_SERVER_EXCLUSIVE_CONNECT`
    `EXTERNAL_SMTP_CONNECTIONS` The external connection settings list for the SMTP protocol.
    `EXTERNAL_UMURL` The external URL of the Unified Messaging services.
    `EXTERNAL_WEB_CLIENT_URLS` The external URLs of the Exchange Web client.
    `GROUPING_INFORMATION`
    `INTERNAL_ECP_CONNECT_URL`
    `INTERNAL_ECP_DELIVERY_REPORT_URL` The internal URL of the ECP for delivery reports.
    `INTERNAL_ECP_EMAIL_SUBSCRIPTIONS_URL` The internal URL of the ECP for e-mail subscriptions.
    `INTERNAL_ECP_EXTENSION_INSTALLATION_URL`
    `INTERNAL_ECP_PHOTO_URL`
    `INTERNAL_ECP_PUBLISHING_URL`
    `INTERNAL_ECP_RETENTION_POLICY_TAGS_URL`
    `INTERNAL_ECP_TEAM_MAILBOX_CREATING_URL`
    `INTERNAL_ECP_TEAM_MAILBOX_EDITING_URL`
    `INTERNAL_ECP_TEAM_MAILBOX_HIDING_URL`
    `INTERNAL_ECP_TEAM_MAILBOX_URL`
    `INTERNAL_ECP_TEXT_MESSAGING_URL` The internal URL of the ECP for text messaging.
    `INTERNAL_ECP_URL` The internal URL of the ECP.
    `INTERNAL_ECP_VOICEMAIL_URL` The internal URL of the ECP for voice mail customization.
    `INTERNAL_EMWS_URL`
    `INTERNAL_EWS_URL` The internal URL of Exchange Web Services (EWS).
    `INTERNAL_IMAP4_CONNECTIONS` The internal connection settings list for the IMAP4 protocol.
    `INTERNAL_MAILBOX_SERVER` The fully qualified domain name (FQDN) of the mailbox server.
    `INTERNAL_MAILBOX_SERVER_AUTHENTICATION_METHODS`
    `INTERNAL_MAILBOX_SERVER_DN` The legacy distinguished name of the mailbox server.
    `INTERNAL_OAB_URL` The internal URL of the offline address book (OAB).
    `INTERNAL_PHOTOS_URL`
    `INTERNAL_POP3_CONNECTIONS` The internal connection settings list for the POP3 protocol.
    `INTERNAL_RPC_CLIENT_SERVER` The FQDN of the RPC client server.
    `INTERNAL_RPC_HTTP_AUTHENTICATION_METHOD`
    `INTERNAL_RPC_HTTP_CONNECTIVITY_REQQUIRES_SSL`
    `INTERNAL_RPC_HTTP_SERVER`
    `INTERNAL_SERVER_EXCLUSIVE_CONNECT`
    `INTERNAL_SMTP_CONNECTIONS` The internal connection settings list for the SMTP protocol.
    `INTERNAL_UM_URL` The internal URL of the Unified Messaging services.
    `INTERNAL_WEB_CLIENT_URLS` The internal URLs of the Exchange Web client.
    `INTEROP_EXTERNAL_EWS_URL`
    `INTEROP_EXTERNAL_EWS_VERSION`
    `MAILBOX_DN` The distinguished name of the mailbox database of the user's mailbox.
    `MAILBOX_VERSION`
    `MAPI_HTTP_ENABLED`
    `MOBILE_MAILBOX_POLICY`
    `PUBLIC_FOLDER_INFORMATION`
    `PUBLIC_FOLDER_SERVER` The name of the public folders server.
    `REDIRECT_URL`
    `SHOW_GAL_AS_DEFAULT_VIEW`
    `SITE_MAILBOX_CREATION_URL`
    `SP_MY_SITE_HOST_URL`
    `USER_DEPLOYMENT_ID` The deployment ID of the user.
    `USER_DISPLAY_NAME` The display name of the user.
    `USER_DN` The legacy distinguished name of the user.
    `USER_MS_ONLINE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserSettingName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UserSettingName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE_DIRECTORY_SERVER

          public static final UserSettingName ACTIVE_DIRECTORY_SERVER

      The name of the Active Directory server.

    - #### ALTERNATE_MAILBOXES

          public static final UserSettingName ALTERNATE_MAILBOXES

      A list of alternate mailboxes.

    - #### CAS_VERSION

          public static final UserSettingName CAS_VERSION

      The version of the Client Access server that is serving the request (for example, 14.XX.YYY.ZZZ).

    - #### CROSS_ORGANIZATION_SHARING_ENABLED

          public static final UserSettingName CROSS_ORGANIZATION_SHARING_ENABLED

      Indicates that cross-organization sharing is enabled for the user.

    - #### ECP_DELIVERY_REPORT_URL_FRAGMENT

          public static final UserSettingName ECP_DELIVERY_REPORT_URL_FRAGMENT

      The URL fragment of the Exchange Control Panel (ECP) for delivery reports.

    - #### ECP_EMAIL_SUBSCRIPTIONS_URL_FRAGMENT

          public static final UserSettingName ECP_EMAIL_SUBSCRIPTIONS_URL_FRAGMENT

      The URL fragment of the ECP for e-mail subscriptions.

    - #### ECP_TEXT_MESSAGING_URL_FRAGMENT

          public static final UserSettingName ECP_TEXT_MESSAGING_URL_FRAGMENT

      The URL fragment of the ECP for text messaging.

    - #### ECP_VOICEMAIL_URL_FRAGMENT

          public static final UserSettingName ECP_VOICEMAIL_URL_FRAGMENT

      The URL fragment of the ECP for voice mail customization.

    - #### EWS_SUPPORTED_SCHEMAS

          public static final UserSettingName EWS_SUPPORTED_SCHEMAS

      A comma-separated list of schema versions that are supported by EWS. The schema version values will be the same as the values of the ExchangeVersion enumeration.

    - #### EXTERNAL_ECP_DELIVERY_REPORT_URL

          public static final UserSettingName EXTERNAL_ECP_DELIVERY_REPORT_URL

      The external URL of the ECP for delivery Reports.

    - #### EXTERNAL_ECP_EMAIL_SUBSCRIPTIONS_URL

          public static final UserSettingName EXTERNAL_ECP_EMAIL_SUBSCRIPTIONS_URL

      The external URL of the ECP for e-mail subscriptions.

    - #### EXTERNAL_ECP_TEXT_MESSAGING_URL

          public static final UserSettingName EXTERNAL_ECP_TEXT_MESSAGING_URL

      The external URL of the ECP for text messaging.

    - #### EXTERNAL_ECP_URL

          public static final UserSettingName EXTERNAL_ECP_URL

      The external URL of the ECP.

    - #### EXTERNAL_ECP_VOICEMAIL_URL

          public static final UserSettingName EXTERNAL_ECP_VOICEMAIL_URL

      The external URL of the ECP for voice mail customization.

    - #### EXTERNAL_EWS_URL

          public static final UserSettingName EXTERNAL_EWS_URL

      The external URL of EWS.

    - #### EXTERNAL_IMAP4_CONNECTIONS

          public static final UserSettingName EXTERNAL_IMAP4_CONNECTIONS

      The external connection settings list for the IMAP4 protocol.

    - #### EXTERNAL_MAILBOX_SERVER

          public static final UserSettingName EXTERNAL_MAILBOX_SERVER

      The name of the RPC over HTTP server.

    - #### EXTERNAL_MAILBOX_SERVER_AUTHENTICATION_METHODS

          public static final UserSettingName EXTERNAL_MAILBOX_SERVER_AUTHENTICATION_METHODS

      The authentication methods that are supported by the RPC over HTTP server.

    - #### EXTERNAL_MAILBOX_SERVER_REQUIRES_SSL

          public static final UserSettingName EXTERNAL_MAILBOX_SERVER_REQUIRES_SSL

      Indicates whether the RPC over HTTP server requires SSL.

    - #### EXTERNAL_OABURL

          public static final UserSettingName EXTERNAL_OABURL

      The external URL of the OAB.

    - #### EXTERNAL_POP3_CONNECTIONS

          public static final UserSettingName EXTERNAL_POP3_CONNECTIONS

      The external connection settings list for the POP3 protocol.

    - #### EXTERNAL_SMTP_CONNECTIONS

          public static final UserSettingName EXTERNAL_SMTP_CONNECTIONS

      The external connection settings list for the SMTP protocol.

    - #### EXTERNAL_UMURL

          public static final UserSettingName EXTERNAL_UMURL

      The external URL of the Unified Messaging services.

    - #### EXTERNAL_WEB_CLIENT_URLS

          public static final UserSettingName EXTERNAL_WEB_CLIENT_URLS

      The external URLs of the Exchange Web client.

    - #### INTERNAL_ECP_DELIVERY_REPORT_URL

          public static final UserSettingName INTERNAL_ECP_DELIVERY_REPORT_URL

      The internal URL of the ECP for delivery reports.

    - #### INTERNAL_ECP_EMAIL_SUBSCRIPTIONS_URL

          public static final UserSettingName INTERNAL_ECP_EMAIL_SUBSCRIPTIONS_URL

      The internal URL of the ECP for e-mail subscriptions.

    - #### INTERNAL_ECP_TEXT_MESSAGING_URL

          public static final UserSettingName INTERNAL_ECP_TEXT_MESSAGING_URL

      The internal URL of the ECP for text messaging.

    - #### INTERNAL_ECP_URL

          public static final UserSettingName INTERNAL_ECP_URL

      The internal URL of the ECP.

    - #### INTERNAL_ECP_VOICEMAIL_URL

          public static final UserSettingName INTERNAL_ECP_VOICEMAIL_URL

      The internal URL of the ECP for voice mail customization.

    - #### INTERNAL_EWS_URL

          public static final UserSettingName INTERNAL_EWS_URL

      The internal URL of Exchange Web Services (EWS).

    - #### INTERNAL_IMAP4_CONNECTIONS

          public static final UserSettingName INTERNAL_IMAP4_CONNECTIONS

      The internal connection settings list for the IMAP4 protocol.

    - #### INTERNAL_MAILBOX_SERVER

          public static final UserSettingName INTERNAL_MAILBOX_SERVER

      The fully qualified domain name (FQDN) of the mailbox server.

    - #### INTERNAL_MAILBOX_SERVER_DN

          public static final UserSettingName INTERNAL_MAILBOX_SERVER_DN

      The legacy distinguished name of the mailbox server.

    - #### INTERNAL_OAB_URL

          public static final UserSettingName INTERNAL_OAB_URL

      The internal URL of the offline address book (OAB).

    - #### INTERNAL_POP3_CONNECTIONS

          public static final UserSettingName INTERNAL_POP3_CONNECTIONS

      The internal connection settings list for the POP3 protocol.

    - #### INTERNAL_RPC_CLIENT_SERVER

          public static final UserSettingName INTERNAL_RPC_CLIENT_SERVER

      The FQDN of the RPC client server.

    - #### INTERNAL_SMTP_CONNECTIONS

          public static final UserSettingName INTERNAL_SMTP_CONNECTIONS

      The internal connection settings list for the SMTP protocol.

    - #### INTERNAL_UM_URL

          public static final UserSettingName INTERNAL_UM_URL

      The internal URL of the Unified Messaging services.

    - #### INTERNAL_WEB_CLIENT_URLS

          public static final UserSettingName INTERNAL_WEB_CLIENT_URLS

      The internal URLs of the Exchange Web client.

    - #### MAILBOX_DN

          public static final UserSettingName MAILBOX_DN

      The distinguished name of the mailbox database of the user's mailbox.

    - #### PUBLIC_FOLDER_SERVER

          public static final UserSettingName PUBLIC_FOLDER_SERVER

      The name of the public folders server.

    - #### USER_DEPLOYMENT_ID

          public static final UserSettingName USER_DEPLOYMENT_ID

      The deployment ID of the user.

    - #### USER_DISPLAY_NAME

          public static final UserSettingName USER_DISPLAY_NAME

      The display name of the user.

    - #### USER_DN

          public static final UserSettingName USER_DN

      The legacy distinguished name of the user.

    - #### INTERNAL_ECP_RETENTION_POLICY_TAGS_URL

          public static final UserSettingName INTERNAL_ECP_RETENTION_POLICY_TAGS_URL

    - #### INTERNAL_ECP_PUBLISHING_URL

          public static final UserSettingName INTERNAL_ECP_PUBLISHING_URL

    - #### INTERNAL_ECP_PHOTO_URL

          public static final UserSettingName INTERNAL_ECP_PHOTO_URL

    - #### INTERNAL_ECP_CONNECT_URL

          public static final UserSettingName INTERNAL_ECP_CONNECT_URL

    - #### INTERNAL_ECP_TEAM_MAILBOX_URL

          public static final UserSettingName INTERNAL_ECP_TEAM_MAILBOX_URL

    - #### INTERNAL_ECP_TEAM_MAILBOX_CREATING_URL

          public static final UserSettingName INTERNAL_ECP_TEAM_MAILBOX_CREATING_URL

    - #### INTERNAL_ECP_TEAM_MAILBOX_EDITING_URL

          public static final UserSettingName INTERNAL_ECP_TEAM_MAILBOX_EDITING_URL

    - #### INTERNAL_ECP_TEAM_MAILBOX_HIDING_URL

          public static final UserSettingName INTERNAL_ECP_TEAM_MAILBOX_HIDING_URL

    - #### INTERNAL_ECP_EXTENSION_INSTALLATION_URL

          public static final UserSettingName INTERNAL_ECP_EXTENSION_INSTALLATION_URL

    - #### INTERNAL_EMWS_URL

          public static final UserSettingName INTERNAL_EMWS_URL

    - #### INTERNAL_PHOTOS_URL

          public static final UserSettingName INTERNAL_PHOTOS_URL

    - #### ECP_RETENTION_POLICY_TAGS_URL_FRAGMENT

          public static final UserSettingName ECP_RETENTION_POLICY_TAGS_URL_FRAGMENT

    - #### ECP_PUBLISHING_URL_FRAGMENT

          public static final UserSettingName ECP_PUBLISHING_URL_FRAGMENT

    - #### ECP_PHOTO_URL_FRAGMENT

          public static final UserSettingName ECP_PHOTO_URL_FRAGMENT

    - #### ECP_CONNECT_URL_FRAGMENT

          public static final UserSettingName ECP_CONNECT_URL_FRAGMENT

    - #### ECP_TEAM_MAILBOX_URL_FRAGMENT

          public static final UserSettingName ECP_TEAM_MAILBOX_URL_FRAGMENT

    - #### ECP_TEAM_MAILBOX_CREATING_URL_FRAGMENT

          public static final UserSettingName ECP_TEAM_MAILBOX_CREATING_URL_FRAGMENT

    - #### ECP_TEAM_MAILBOX_EDITING_URL_FRAGMENT

          public static final UserSettingName ECP_TEAM_MAILBOX_EDITING_URL_FRAGMENT

    - #### ECP_EXTENSION_INSTALLATION_URL_FRAGMENT

          public static final UserSettingName ECP_EXTENSION_INSTALLATION_URL_FRAGMENT

    - #### EXTERNAL_ECP_RETENTION_POLICY_TAGS_URL

          public static final UserSettingName EXTERNAL_ECP_RETENTION_POLICY_TAGS_URL

    - #### EXTERNAL_ECP_PUBLISHING_URL

          public static final UserSettingName EXTERNAL_ECP_PUBLISHING_URL

    - #### EXTERNAL_ECP_PHOTO_URL

          public static final UserSettingName EXTERNAL_ECP_PHOTO_URL

    - #### EXTERNAL_ECP_CONNECT_URL

          public static final UserSettingName EXTERNAL_ECP_CONNECT_URL

    - #### EXTERNAL_ECP_TEAM_MAILBOX_URL

          public static final UserSettingName EXTERNAL_ECP_TEAM_MAILBOX_URL

    - #### EXTERNAL_ECP_TEAM_MAILBOX_CREATING_URL

          public static final UserSettingName EXTERNAL_ECP_TEAM_MAILBOX_CREATING_URL

    - #### EXTERNAL_ECP_TEAM_MAILBOX_EDITING_URL

          public static final UserSettingName EXTERNAL_ECP_TEAM_MAILBOX_EDITING_URL

    - #### EXTERNAL_ECP_TEAM_MAILBOX_HIDING_URL

          public static final UserSettingName EXTERNAL_ECP_TEAM_MAILBOX_HIDING_URL

    - #### EXTERNAL_ECP_EXTENSION_INSTALLATION_URL

          public static final UserSettingName EXTERNAL_ECP_EXTENSION_INSTALLATION_URL

    - #### EXTERNAL_EMWS_URL

          public static final UserSettingName EXTERNAL_EMWS_URL

    - #### EXTERNAL_PHOTOS_URL

          public static final UserSettingName EXTERNAL_PHOTOS_URL

    - #### INTERNAL_SERVER_EXCLUSIVE_CONNECT

          public static final UserSettingName INTERNAL_SERVER_EXCLUSIVE_CONNECT

    - #### EXTERNAL_EWS_VERSION

          public static final UserSettingName EXTERNAL_EWS_VERSION

    - #### MOBILE_MAILBOX_POLICY

          public static final UserSettingName MOBILE_MAILBOX_POLICY

    - #### DOCUMENT_SHARING_LOCATIONS

          public static final UserSettingName DOCUMENT_SHARING_LOCATIONS

    - #### USER_MS_ONLINE

          public static final UserSettingName USER_MS_ONLINE

    - #### INTERNAL_MAILBOX_SERVER_AUTHENTICATION_METHODS

          public static final UserSettingName INTERNAL_MAILBOX_SERVER_AUTHENTICATION_METHODS

    - #### MAILBOX_VERSION

          public static final UserSettingName MAILBOX_VERSION

    - #### SP_MY_SITE_HOST_URL

          public static final UserSettingName SP_MY_SITE_HOST_URL

    - #### SITE_MAILBOX_CREATION_URL

          public static final UserSettingName SITE_MAILBOX_CREATION_URL

    - #### INTERNAL_RPC_HTTP_SERVER

          public static final UserSettingName INTERNAL_RPC_HTTP_SERVER

    - #### INTERNAL_RPC_HTTP_CONNECTIVITY_REQQUIRES_SSL

          public static final UserSettingName INTERNAL_RPC_HTTP_CONNECTIVITY_REQQUIRES_SSL

    - #### INTERNAL_RPC_HTTP_AUTHENTICATION_METHOD

          public static final UserSettingName INTERNAL_RPC_HTTP_AUTHENTICATION_METHOD

    - #### EXTERNAL_SERVER_EXCLUSIVE_CONNECT

          public static final UserSettingName EXTERNAL_SERVER_EXCLUSIVE_CONNECT

    - #### EXCHANGE_RPC_URL

          public static final UserSettingName EXCHANGE_RPC_URL

    - #### SHOW_GAL_AS_DEFAULT_VIEW

          public static final UserSettingName SHOW_GAL_AS_DEFAULT_VIEW

    - #### AUTO_DISCOVER_SMTP_ADDRESS

          public static final UserSettingName AUTO_DISCOVER_SMTP_ADDRESS

    - #### INTEROP_EXTERNAL_EWS_URL

          public static final UserSettingName INTEROP_EXTERNAL_EWS_URL

    - #### INTEROP_EXTERNAL_EWS_VERSION

          public static final UserSettingName INTEROP_EXTERNAL_EWS_VERSION

    - #### PUBLIC_FOLDER_INFORMATION

          public static final UserSettingName PUBLIC_FOLDER_INFORMATION

    - #### REDIRECT_URL

          public static final UserSettingName REDIRECT_URL

    - #### EWS_PARTNER_URL

          public static final UserSettingName EWS_PARTNER_URL

    - #### CERT_PRINCIPAL_NAME

          public static final UserSettingName CERT_PRINCIPAL_NAME

    - #### GROUPING_INFORMATION

          public static final UserSettingName GROUPING_INFORMATION

    - #### MAPI_HTTP_ENABLED

          public static final UserSettingName MAPI_HTTP_ENABLED

  - ### Method Detail

    - #### values

          public static UserSettingName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserSettingName c : UserSettingName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserSettingName valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null